# Contentful Dart - Dart Delivery SDK for Contentful

[![Build Status](https://travis-ci.org/data-hfg/contentful.dart.svg?branch=develop)](https://travis-ci.org/data-hfg/contentful.dart)
[![Version](https://img.shields.io/badge/version-0.0.1-blue.svg)](https://github.com/data-hfg/contentful.dart)
[![codecov](https://codecov.io/gh/data-hfg/contentful.dart/branch/develop/graph/badge.svg)](https://codecov.io/gh/data-hfg/contentful.dart)

**What is Contentful?**

[Contentful](https://www.contentful.com/) provides content infrastructure for digital teams to power websites, apps, and devices. Unlike a CMS, Contentful was built to integrate with the modern software stack. It offers a central hub for structured content, powerful management and delivery APIs, and a customizable web app that enable developers and content creators to ship their products faster.

## Core Features

## Getting started

### Installation

### Your first request

### Authorization

## Documentation & References

### Reference Documentation

For information about the Content Delivery API, check out the [Content Delivery API Reference Documentation](https://www.contentful.com/developers/documentation/content-delivery-api/).

### Tutorials & other resources

* This library is a wrapper around our Contentful Delivery REST API. Some more specific details such as search parameters and pagination are better explained on the [REST API reference](https://www.contentful.com/developers/docs/references/content-delivery-api/), and you can also get a better understanding of how the requests look under the hood.
* Check the [Contentful for Swift](https://www.contentful.com/developers/docs/ios/tutorials/) page for Tutorials, Demo Apps, and more information on other ways of using Swift with Contentful

#### Example application

See the [Flutter app on Github](https://github.com/data-hfg/contentful.dart/tree/develop/examples/flutter_example) and follow the instructions on the README to get a copy of the space so you can see how changing content in Contentful affects the presentation of the app.